Subject: bug#724 closed by [email-masked] (#724: fixed in src:fluidsynth version 2.3.0-1devuan1)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 23 Nov 2022 18:20:04 +0000

This is an automatic notification regarding your bug report
which was filed against the libfluidsynth-dev package:

#724: libfluidsynth-dev should not depend on systemd

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
724: https://bugs.devuan.org/cgi/bugreport.cgi?bug=724
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #724: fixed in src:fluidsynth version 2.3.0-1devuan1
From: [email-masked]
To: [email-masked]
Date: Wed, 23 Nov 2022 18:16:31 +0000

Version: 2.3.0-1devuan1

Source package fluidsynth (2.3.0-1devuan1) added to Devuan suite unstable.

This closes bug report 724.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Tue, 22 Nov 2022 22:08:16 +0100
Source: fluidsynth
Architecture: source
Version: 2.3.0-1devuan1
Distribution: unstable
Urgency: medium
Maintainer: Sebastian Dalfuß <[email-masked]>
Changed-By: Sebastian Dalfuß <[email-masked]>
Closes: 724
Changes:
 fluidsynth (2.3.0-1devuan1) unstable; urgency=medium
 .
   * Fork for Devuan
   * Remove build dependency of libsystemd-dev
   * Remove dependency of libsystemd-dev for libfluidsynth-dev (Closes: #724)
Checksums-Sha1:
 98207a5d2c752e41085afc8eb1ad6635c8d49424 1974 fluidsynth_2.3.0-1devuan1.dsc
 ffbfd965ee9b6b63e2621aa3889d666342ad0788 19488 fluidsynth_2.3.0-1devuan1.debian.tar.xz
 b932811d5a27f2f50bfe6e99d1146780e4baf6f4 5350 fluidsynth_2.3.0-1devuan1_source.buildinfo
Checksums-Sha256:
 a3cf1daa32992ea038681ce4713cd79351f146f4805fb6920d3c237b97555e48 1974 fluidsynth_2.3.0-1devuan1.dsc
 0168a51d413534d2e30d05cbdaae2c506afca6c588357dd86c5ace33c9bf6363 19488 fluidsynth_2.3.0-1devuan1.debian.tar.xz
 32b47e2a72b8db6df5c3a273b9313ad0f922f19844146ac2d2a3affa7b2e87f1 5350 fluidsynth_2.3.0-1devuan1_source.buildinfo
Files:
 a95ead20b92ec5412e4ed260fa47907e 1974 sound optional fluidsynth_2.3.0-1devuan1.dsc
 e6534ab5cdcb2534ed88d2ad29d5e667 19488 sound optional fluidsynth_2.3.0-1devuan1.debian.tar.xz
 8c222475247198fbd82ffefb33211ae4 5350 sound optional fluidsynth_2.3.0-1devuan1_source.buildinfo

Subject: libfluidsynth-dev should not depend on systemd
From: Johannes Werner <[email-masked]>
To: [email-masked]
Date: Mon, 14 Nov 2022 21:06:24 +0100

Package: libfluidsynth-dev
Version: 2.3.0-1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

the package depends on systemd, which (seems) not strictly neccessary,

Problem: When installing libsdl-mixer2-dev (to build some software) it
pulls in libfluidsynth-dev. This depends on libsystemd-dev and
libsystemd0 - and this in turn collides with liblogind-compat.
This makes it difficult to develop (or test) said software on non-
systemd-systems.

To remedy I did this:
- Got the source via apt-get
- removed systemd-dependencies from debian/control (very ham-fisted, I
know)
- rebuilt package and installed it
 
Apparently this works, at least the software (Widelands) compiled
against this new package works.

I did submit this to Debian, but their maintainer closed the bug
because I am using Devuan. Not what I expected...

Best,
Johannes

-- System Information:
Distributor ID: Devuan
Description:    Devuan GNU/Linux 5 (daedalus/ceres)
Release:        5
Codename:       daedalus ceres
Architecture: x86_64

Kernel: Linux 6.0.0-2-amd64 (SMP w/12 CPU threads; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8),
LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages libfluidsynth-dev depends on:
ii  libasound2-dev                    1.2.7.2-1
ii  libdbus-1-dev                     1.14.4-1devuan1
ii  libfluidsynth3                    2.3.0-1
ii  libinstpatch-dev                  1.1.6-1
ii  libjack-jackd2-dev [libjack-dev]  1.9.21~dfsg-1
ii  libpulse-dev                      16.1+dfsg1-2+b1
ii  libreadline-dev                   8.2-1
ii  libsdl2-dev                       2.24.1+dfsg-1
ii  libsndfile1-dev [libsndfile-dev]  1.1.0-3+b1

libfluidsynth-dev recommends no packages.

libfluidsynth-dev suggests no packages.

-- no debconf information